"""
$RCSfile: alltests.py,v $

Run all XMLTransform unit tests

Author: <a href="mailto:support@arielpartners.com">Ariel Partners LLC</a>
Release: 2.0
"""

__cvstag__  = '$Name:  $'[6:-2]
__date__    = '$Date: 2002/08/12 04:41:06 $'[6:-2]
__version__ = '$Revision: 1.1 $'[10:-2]

import os, sys
if __name__ == '__main__':
    execfile(os.path.join(sys.path[0], 'framework.py'))

# Load fixture
from Testing import ZopeTestCase

# Import the TestCase from each module
from TestCacheManager import CacheManagerTestCase
from TestTransformerRegistry import TransformerRegistryTestCase
from TestXMLTransform import XMLTransformTestCase
from TestXSLTProcessor import XSLTProcessorTestCase

# Add the TestCase class to this list
unitTests = (
    CacheManagerTestCase,
    TransformerRegistryTestCase,
    XMLTransformTestCase,
    XSLTProcessorTestCase
    )

################################################################
# The rest is boilerplate: don't touch
################################################################
import unittest, os

masterSuite = unittest.TestSuite(map(lambda x: unittest.makeSuite(x, 'test'),
                                     unitTests))

runner = unittest.TextTestRunner()

if __name__ == '__main__':
    runner.run(masterSuite)
